Ice Reference Documentation
<<< Previous | Properties | Next >>>

# Ice Warning Properties

## Ice.Warn.Connections

### Synopsis

    Ice.Warn.Connections=num

### Description

If `num` is set to a value larger than zero, Ice applications print warning messages for certain exceptional conditions in connections. The default value is 0.

## Ice.Warn.Datagrams

### Synopsis

    Ice.Warn.Datagrams=num

### Description

If `num` is set to a value larger than zero, servers print a warning message if they receive a datagram that exceeds the servers' receive buffer size. (Note that this condition is not detected by all UDP implementations -- some implementations silently drop received datagrams that are too large.) The default value is 0.

## Ice.Warn.Dispatch

### Synopsis

    Ice.Warn.Dispatch=num

### Description

If `num` is set to a value larger than zero, Ice applications print warning messages for certain exceptions that are raised while an incoming request is dispatched.

0 | No warnings.
1 | Print warnings for unexpected `Ice::LocalException`, `Ice::UserException`, C++ exceptions, and Java runtime exceptions. (default)
2 | Like 1, but also issue warnings for `Ice::ObjectNotExistException`, `Ice::FacetNotExistException`, and `Ice::OperationNotExistException`.

## Ice.Warn.AMICallback

### Synopsis

    Ice.Warn.AMICallback=num

### Description

If `num` is set to a value larger than zero, warnings are printed if an AMI callback raises an exception. The default value is 1.

## Ice.Warn.Leaks

### Synopsis

    Ice.Warn.Leaks=num

### Description

If `num` is set to a value larger than zero, the `Ice::Communicator` destructor prints a warning if some other Ice-related C++ objects are still in memory. The default value is 1. (C++ only.)

<<< Previous | Home | Next >>>
Ice Trace Properties | Up | Ice Object Adapter Properties